package com.ssj.service.conch.teacher.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class OnlineTeacherDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String teacherId;

    private List<String> subjects;

    private List<String> grades;

    private int studentCount;


    public OnlineTeacherDto (){

    }

    public OnlineTeacherDto (String teacherId, List<String> subjects, List<String> grades){
        this.teacherId = teacherId;
        this.subjects = new ArrayList<>();
        this.grades = new ArrayList<>();
        for (String sub : subjects){
            this.subjects.add(sub);
        }
        for (String grade : grades){
            this.grades.add(grade);
        }
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public int getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(int studentCount) {
        this.studentCount = studentCount;
    }

    public List<String> getSubjects() {
        return subjects;
    }

    public void setSubjects(List<String> subjects) {
        this.subjects = subjects;
    }

    public List<String> getGrades() {
        return grades;
    }

    public void setGrades(List<String> grades) {
        this.grades = grades;
    }
}
